> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink a payment email from a contact

Removes the association between a contact and a payment email from a payment processor. Deletes the payment email link record and clears the contact's financial information (financials, subscription\_status, and subscription\_start). The payment email being unlinked cannot be the same as the contact's primary email.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json delete /contacts/{id}/payment-email
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /contacts/{id}/payment-email:
    delete:
      tags:
        - Contact Payments
      summary: Unlink a payment email from a contact
      description: >-
        Removes the association between a contact and a payment email from a
        payment processor. Deletes the payment email link record and clears the
        contact's financial information (financials, subscription_status, and
        subscription_start). The payment email being unlinked cannot be the same
        as the contact's primary email.
      operationId: unlinkPaymentEmail
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: ID of the contact to unlink the payment email from.
          example: 12345
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                source:
                  type: string
                  enum:
                    - STRIPE
                    - PADDLE
                    - LEMON
                  description: >-
                    Payment processor source (case-insensitive, will be
                    converted to uppercase).
                  example: STRIPE
                email:
                  type: string
                  format: email
                  description: >-
                    Payment email address to unlink from the contact. Cannot be
                    the same as the contact's primary email.
                  example: billing@piedpiper.com
              required:
                - source
                - email
      responses:
        '204':
          description: Payment email unlinked successfully.
        '400':
          description: >-
            Invalid input (trying to unlink the contact's primary email or
            invalid source).
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: You cannot unlink the same email as the contact email.
        '404':
          description: Contact not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````